#ifndef FIELDLISTWIDGET_H
#define FIELDLISTWIDGET_H

#include <QTreeWidget>
#include <QSqlRecord>
#include "fields/abstractfieldwidget.h"

#include "fields/stringfieldwidget.h"
#include "fields/boolfieldwidget.h"
#include "fields/intfieldwidget.h"
#include "fields/modelfieldwidget.h"
#include "fields/datefieldwidget.h"
#include "fields/commentfieldwidget.h"
#include "fields/thematiquefieldwidget.h"
#include "fields/linkfieldwidget.h"
#include "fields/mailfieldwidget.h"
#include "fields/photofieldwidget.h"

class FieldListWidget : public QTreeWidget
{
    Q_OBJECT

public:
    explicit FieldListWidget(const QString& table, QWidget *parent = 0);
    void addField(QString label, QString sqlName, AbstractFieldWidget * field);
    QVariant value(QString sqlName);
    void setValue(QString sqlName, QVariant value);

    const QString& table(){ return mTable;}
    void addTitleSpace(QString title);
    QSqlRecord record();
signals:

public slots:
    void save();
    void load(QSqlRecord rec);
    void load(const QString& table, int modelId);
    void load(const QString& query);
    void stateChanged();
    void itemClicked(QTreeWidgetItem * item, int col);
    void filter(const QString& filter);
    void filterState(int state);


protected:
    void saveFieldState(int fieldId);
    void loadFieldState(int fieldId);


private:
    QMap <QString , AbstractFieldWidget*> mFieldWidgets;
    QMap <QString , QTreeWidgetItem*> mFieldItems;
    QMap <QString , QToolButton*> mFieldButtons;

    QString mTable;
    QSqlRecord mRecord;


};

#endif // FIELDLISTWIDGET_H
