/*
    <one line to give the program's name and a brief idea of what it does.>
    Copyright (C) <2010>  <Sacha schutz>

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

*/

#include "texteditor.h"
#include "ui_texteditor.h"
#include <QColorDialog>
#include <QFontDialog>

TextEditor::TextEditor(QWidget *parent) :
        QWidget(parent),
        ui(new Ui::TextEditor)
{
    ui->setupUi(this);

    connect(ui->buttonTextColor,SIGNAL(clicked()),this,SLOT(setColor()));
    connect(ui->buttonTextFont,SIGNAL(clicked()),this,SLOT(setFont()));
    connect(ui->buttonAlignLeft,SIGNAL(clicked()),this,SLOT(alignLeft()));
    connect(ui->buttonAlignRight,SIGNAL(clicked()),this,SLOT(alignRight()));
    connect(ui->buttonAlignCenter,SIGNAL(clicked()),this,SLOT(alignCenter()));
    connect(ui->buttonAlignJustify,SIGNAL(clicked()),this,SLOT(alignJustify()));



}

TextEditor::~TextEditor()
{
    delete ui;
}

void TextEditor::changeEvent(QEvent *e)
{
    QWidget::changeEvent(e);
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    default:
        break;
    }
}
void TextEditor::setColor()
{

    QColor col =  QColorDialog::getColor (Qt::black,this,"choose color");
    ui->textEdit->setTextColor(col);
    QPixmap pix = QPixmap(32,32);
    pix.fill(col);
    ui->buttonTextColor->setIcon(QIcon(pix));

}

void TextEditor::setFont()
{
    bool ok;
    QFont font = QFontDialog::getFont(&ok,QFont("Times", 12),this);
    ui->textEdit->setCurrentFont(font);

}
void TextEditor::alignLeft()
{
    ui->textEdit->setAlignment( Qt::AlignLeft);
}

void TextEditor::alignRight()
{
    ui->textEdit->setAlignment( Qt::AlignRight);
}

void TextEditor::alignCenter()
{
    ui->textEdit->setAlignment( Qt::AlignCenter);
}

void TextEditor::alignJustify()
{

    ui->textEdit->setAlignment( Qt::AlignJustify);
}
void TextEditor::setText(const QString& text)
{
    ui->textEdit->setText(text);
}

QString TextEditor::text()
{
    return ui->textEdit->toHtml();
}
void TextEditor::clear()
{
    ui->textEdit->clear();
}
