#include "protocoleform.h"
#include <QVBoxLayout>
#include "common/sqlhelper.h"
ProtocoleForm::ProtocoleForm(QWidget *parent):
        AbstractForm(parent)
{
    setTitle("Protocoles");
    mFgb = new FieldListGroupBox("protocoles");
    setMainWidget(mFgb);
    setupUi();

}
void ProtocoleForm::setupUi()
{

    ModelFieldWidget * promoteurField = new ModelFieldWidget("promoteurs","nom");
    ModelFieldWidget * phaseField = new ModelFieldWidget("phases","nom");
    ModelFieldWidget * typeEssaieField= new ModelFieldWidget("type_essaies","nom");


    mFgb->fieldList()->addTitleSpace("identification");
    mFgb->fieldList()->addField("nom","nom",new StringFieldWidget);
    mFgb->fieldList()->addField("code","code",new StringFieldWidget);
    mFgb->fieldList()->addField("titre","titre",new StringFieldWidget);
    mFgb->fieldList()->addField("n° eudract","numero_eudract",new StringFieldWidget);
    mFgb->fieldList()->addField("n° chu","numero_chu",new StringFieldWidget);

    mFgb->fieldList()->addTitleSpace("Caracteristique");
    mFgb->fieldList()->addField("etat","etat",new StringFieldWidget);
    mFgb->fieldList()->addField("promoteur","promoteur_id",promoteurField);
    mFgb->fieldList()->addField("phase","phase_id",phaseField);
    mFgb->fieldList()->addField("type essaie","type_essaie_id",typeEssaieField);
   mFgb->fieldList()->addField("commentaire","commentaire",new CommentFieldWidget);
//    mFgb->fieldList()->addField("thematique","thematique",new ThematiqueFieldWidget);
// Ne marche pas.. pk ???
    mFgb->fieldList()->addTitleSpace("Suivi");
    mFgb->fieldList()->addField("duree inclusion","duree_inclusion",new IntFieldWidget);
    mFgb->fieldList()->addField("duree suivi","duree_suivi",new IntFieldWidget);
    mFgb->fieldList()->addField("duree total","duree_total",new IntFieldWidget);

}
void ProtocoleForm::save()
{
    mFgb->fieldList()->save();
}

void ProtocoleForm::load(QSqlRecord record)
{
    mFgb->fieldList()->load(record);
}
